package com.sun.org.slf4j.internal;

import java.util.logging.Level;

public class Logger
{
    private final java.util.logging.Logger impl;
    
    public Logger(String name) {
        this.impl = java.util.logging.Logger.getLogger(name);
    }
    
    public boolean isDebugEnabled() {
        return this.impl.isLoggable(Level.FINE);
    }
    
    public boolean isTraceEnabled() {
        return this.impl.isLoggable(Level.FINE);
    }
    
    public void debug(String msg) {
        this.impl.log(Level.FINE, msg);
    }
    
    public void debug(String msg, Throwable thrown) {
        this.impl.log(Level.FINE, msg, thrown);
    }
    
    public void debug(String msg, Object... params) {
        this.impl.log(Level.FINE, msg, params);
    }
    
    public void trace(String msg) {
        this.impl.log(Level.FINE, msg);
    }
    
    public void error(String msg) {
        this.impl.log(Level.SEVERE, msg);
    }
    
    public void error(String msg, Throwable thrown) {
        this.impl.log(Level.SEVERE, msg, thrown);
    }
    
    public void error(String msg, Object... params) {
        this.impl.log(Level.SEVERE, msg, params);
    }
    
    public void warn(String msg) {
        this.impl.log(Level.WARNING, msg);
    }
    
    public void warn(String msg, Throwable thrown) {
        this.impl.log(Level.WARNING, msg, thrown);
    }
}
